Bug 58818 - Shortcut Keys for Resizing Frames and Graphics don't work
Summary: Shortcut Keys for Resizing Frames and Graphics don't work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2012-12-28 02:55 UTC by Glutanimate
Modified: 2019-11-07 03:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glutanimate 2012-12-28 02:55:36 UTC
---Bug Description---

I am referring to the shortcuts described here:

http://help.libreoffice.org/Writer/Shortcut_Keys_for_Writer#Shortcut_Keys_for_Moving_and_Resizing_Frames.2C_Graphics_and_Objects

Neither the shortcut for resizing the object by moving its lower right corner (ALT+CTRL+Arrow Keys),nor the one for resizing by moving the object's top left corner (ALT+CTRL+SHIFT+Arrow Keys) work for me. In fact, the only hotkey for resizing objects that appears to be working is CTRL+Tab, which activates the Edit Points mode and allows switching between single points.

I have ruled out any interference with global hotkeys by disabling the ones utilizing similar key assignments.

---Summary--- 

Current behaviour: Shortcuts for resizing images/frames/objects (ALT+CTRL+Arrow Keys and ALT+CTRL+SHIFT+Arrow Keys) do not work.

Expected behaviour: Shortcuts for resizing images/frames/objects (ALT+CTRL+Arrow Keys and ALT+CTRL+SHIFT+Arrow Keys) should work.

Steps to reproduce:

1.) Make sure no global hotkeys are defined for ALT+CTRL+Arrow Keys or ALT+CTRL+SHIFT+Arrow Keys
2.) Insert frame/object/image into document
3.) Try to resize it via either ALT+CTRL+Arrow Keys or ALT+CTRL+SHIFT+Arrow Keys


---Additional comments---

On a sidenote: There should be a way of resizing images proportionally from the keyboard (akin to holding down SHIFT while dragging one of the object's corners). As I am not able to test the shortcuts above, I don't know whether this capability is available already. If it isn't it would be a good idea to implement such a functionality. Microsoft Word for instance does offer a hotkey for this.
Comment 1 Joel Madero 2013-06-02 03:32:20 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: b0a1666f756aa5f5315366eca9d7d02ddd55d2b
Date:   Tue May 28 08:51:01 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - doesn't prevent high quality work, slows it down a bit
Low - default, seems appropriate

@Glutanimate: looking at the keyboard bindings, I can see that this combo is not set nor can it be set to this manually so wiki may just be outdated

For 2nd point I suggest a 2nd report marked as ENHANCEMENT

Keywords - 

Whiteboard Status -

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 QA Administrators 2015-03-16 23:30:59 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-31 08:14:59 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 tommy27 2016-04-16 07:26:23 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:22:17 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2018-11-06 21:36:47 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: fff34169fa912ad5096f1652172ea2455e5cb4d3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 7 QA Administrators 2019-11-07 03:33:02 UTC
Dear Glutanimate,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug